/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.portal.model;

import com.liferay.portal.service.ServiceContext;
import com.liferay.portal.service.persistence.OrgGroupRolePK;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the OrgGroupRole service. Represents a row in the &quot;OrgGroupRole&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.portal.model.impl.OrgGroupRoleModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.portal.model.impl.OrgGroupRoleImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this interface directly. All methods that expect a org group role model instance should use the {@link OrgGroupRole} interface instead.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see OrgGroupRole
 * @see com.liferay.portal.model.impl.OrgGroupRoleImpl
 * @see com.liferay.portal.model.impl.OrgGroupRoleModelImpl
 * @generated
 */
public interface OrgGroupRoleModel extends BaseModel<OrgGroupRole> {
	/**
	 * Gets the primary key of this org group role.
	 *
	 * @return the primary key of this org group role
	 */
	public OrgGroupRolePK getPrimaryKey();

	/**
	 * Sets the primary key of this org group role
	 *
	 * @param pk the primary key of this org group role
	 */
	public void setPrimaryKey(OrgGroupRolePK pk);

	/**
	 * Gets the organization id of this org group role.
	 *
	 * @return the organization id of this org group role
	 */
	public long getOrganizationId();

	/**
	 * Sets the organization id of this org group role.
	 *
	 * @param organizationId the organization id of this org group role
	 */
	public void setOrganizationId(long organizationId);

	/**
	 * Gets the group id of this org group role.
	 *
	 * @return the group id of this org group role
	 */
	public long getGroupId();

	/**
	 * Sets the group id of this org group role.
	 *
	 * @param groupId the group id of this org group role
	 */
	public void setGroupId(long groupId);

	/**
	 * Gets the role id of this org group role.
	 *
	 * @return the role id of this org group role
	 */
	public long getRoleId();

	/**
	 * Sets the role id of this org group role.
	 *
	 * @param roleId the role id of this org group role
	 */
	public void setRoleId(long roleId);

	/**
	 * Gets a copy of this org group role as an escaped model instance by wrapping it with an {@link com.liferay.portal.kernel.bean.AutoEscapeBeanHandler}.
	 *
	 * @return the escaped model instance
	 * @see com.liferay.portal.kernel.bean.AutoEscapeBeanHandler
	 */
	public OrgGroupRole toEscapedModel();

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public void setEscapedModel(boolean escapedModel);

	public Serializable getPrimaryKeyObj();

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(OrgGroupRole orgGroupRole);

	public int hashCode();

	public String toString();

	public String toXmlString();
}