/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.portlet.ratings.model;

import com.liferay.portal.kernel.annotation.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the RatingsEntry service. Represents a row in the &quot;RatingsEntry&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.portlet.ratings.model.impl.RatingsEntryModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.portlet.ratings.model.impl.RatingsEntryImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this interface directly. All methods that expect a ratings entry model instance should use the {@link RatingsEntry} interface instead.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see RatingsEntry
 * @see com.liferay.portlet.ratings.model.impl.RatingsEntryImpl
 * @see com.liferay.portlet.ratings.model.impl.RatingsEntryModelImpl
 * @generated
 */
public interface RatingsEntryModel extends BaseModel<RatingsEntry> {
	/**
	 * Gets the primary key of this ratings entry.
	 *
	 * @return the primary key of this ratings entry
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this ratings entry
	 *
	 * @param pk the primary key of this ratings entry
	 */
	public void setPrimaryKey(long pk);

	/**
	 * Gets the entry id of this ratings entry.
	 *
	 * @return the entry id of this ratings entry
	 */
	public long getEntryId();

	/**
	 * Sets the entry id of this ratings entry.
	 *
	 * @param entryId the entry id of this ratings entry
	 */
	public void setEntryId(long entryId);

	/**
	 * Gets the company id of this ratings entry.
	 *
	 * @return the company id of this ratings entry
	 */
	public long getCompanyId();

	/**
	 * Sets the company id of this ratings entry.
	 *
	 * @param companyId the company id of this ratings entry
	 */
	public void setCompanyId(long companyId);

	/**
	 * Gets the user id of this ratings entry.
	 *
	 * @return the user id of this ratings entry
	 */
	public long getUserId();

	/**
	 * Sets the user id of this ratings entry.
	 *
	 * @param userId the user id of this ratings entry
	 */
	public void setUserId(long userId);

	/**
	 * Gets the user uuid of this ratings entry.
	 *
	 * @return the user uuid of this ratings entry
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this ratings entry.
	 *
	 * @param userUuid the user uuid of this ratings entry
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Gets the user name of this ratings entry.
	 *
	 * @return the user name of this ratings entry
	 */
	@AutoEscape
	public String getUserName();

	/**
	 * Sets the user name of this ratings entry.
	 *
	 * @param userName the user name of this ratings entry
	 */
	public void setUserName(String userName);

	/**
	 * Gets the create date of this ratings entry.
	 *
	 * @return the create date of this ratings entry
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this ratings entry.
	 *
	 * @param createDate the create date of this ratings entry
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Gets the modified date of this ratings entry.
	 *
	 * @return the modified date of this ratings entry
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this ratings entry.
	 *
	 * @param modifiedDate the modified date of this ratings entry
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Gets the class name of the model instance this ratings entry is polymorphically associated with.
	 *
	 * @return the class name of the model instance this ratings entry is polymorphically associated with
	 */
	public String getClassName();

	/**
	 * Gets the class name id of this ratings entry.
	 *
	 * @return the class name id of this ratings entry
	 */
	public long getClassNameId();

	/**
	 * Sets the class name id of this ratings entry.
	 *
	 * @param classNameId the class name id of this ratings entry
	 */
	public void setClassNameId(long classNameId);

	/**
	 * Gets the class p k of this ratings entry.
	 *
	 * @return the class p k of this ratings entry
	 */
	public long getClassPK();

	/**
	 * Sets the class p k of this ratings entry.
	 *
	 * @param classPK the class p k of this ratings entry
	 */
	public void setClassPK(long classPK);

	/**
	 * Gets the score of this ratings entry.
	 *
	 * @return the score of this ratings entry
	 */
	public double getScore();

	/**
	 * Sets the score of this ratings entry.
	 *
	 * @param score the score of this ratings entry
	 */
	public void setScore(double score);

	/**
	 * Gets a copy of this ratings entry as an escaped model instance by wrapping it with an {@link com.liferay.portal.kernel.bean.AutoEscapeBeanHandler}.
	 *
	 * @return the escaped model instance
	 * @see com.liferay.portal.kernel.bean.AutoEscapeBeanHandler
	 */
	public RatingsEntry toEscapedModel();

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public void setEscapedModel(boolean escapedModel);

	public Serializable getPrimaryKeyObj();

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(RatingsEntry ratingsEntry);

	public int hashCode();

	public String toString();

	public String toXmlString();
}